import {
  request
} from "../api/http";
import { ResponseType } from "../api/type"
//小程序登录或者注册
export function wxlogin(data: Object): ResponseType {
  return request(
    'POST',
    `api/wechat/wxlogin`,
    data
  )
}
export function getopenid(data: Object): ResponseType {
  return request(
    'POST',
    `api/wechat/getopenid`,
    data
  )
}
//手机号验证码登录/注册
export function loginByMobile(data: Object): ResponseType {
  return request(
    'POST',
    `api/wechat/loginByMobile`,
    data
  )
}
//code换手机号
export function getmobile(data: Object): ResponseType {
  return request(
    'POST',
    `api/wechat/getmobile`,
    data
  )
}

//获取用户详情
export function getUserInfo(data: Object): ResponseType {
  return request(
    'POST',
    `api/wechat/wxinfo`,
    data
  )
}
//手机号获取验证码
export function getCodebyMombile(data: Object): ResponseType {
  return request(
    'POST',
    `api/wechat/getCodebyMombile`,
    data
  )
}